#include "defs.h"
#include "arbol.h"
#include "busqueda.h"
#include "nodeArbolaTabla.c"

Datum	describecrules(PG_FUNCTION_ARGS);

PG_FUNCTION_INFO_V1(describecrules);

Datum
describecrules(PG_FUNCTION_ARGS)
{

#define PG_TEXTARG_GET_STR(arg_) \
	DatumGetCString(DirectFunctionCall1(textout, PG_GETARG_DATUM(arg_)))
#define PG_TEXT_GET_STR(textp_) \
	DatumGetCString(DirectFunctionCall1(textout, PointerGetDatum(textp_)))


	text	   *relname = PG_GETARG_TEXT_P(0);
	char	*relnameR = PG_TEXTARG_GET_STR(0);//relname;
	char	*relnamer = PG_TEXT_GET_STR(relname);

	/*
	int numClases[30];
	int numAttr;
	int NCLASES;
	setDatos(&numAttr,&NCLASES,numClases);
	elog(INFO,"numatt=%d NCLASES=%d",numAttr,NCLASES);
	*/
	
	Decision3State	*decstate;
	decstate = makeD3S();
	//decstate->raiz = raiz;
	//decstate->nNodos = 1;
	decstate->indice = 0;
	elog(LOG,"Iniciando creacion de Tabla contenedora de Reglas ");

	traducirReglasClasificacion2(relnameR);

	//liberarD3S(decstate);

	elog(LOG, " Una tabla creada %s", relnameR );
	elog(LOG, " Una tabla creada %s", relnamer );
	PG_RETURN_TEXT_P( relname );
}

