CREATE TYPE rulesclass AS (regla int2 , atributo varchar , valor varchar);

CREATE OR REPLACE FUNCTION describe_classification_rules() RETURNS SETOF rulesclass AS '
DECLARE
	qry_sql		text DEFAULT '''';
	qry_sql2	text DEFAULT '''';
	flag_val	text DEFAULT NULL;
	
	rec_drop	record;
	rec_rules	rulesclass%ROWTYPE;
	
BEGIN
	--****	PROCESO DE PRESENTACION DE REGLAS DE CLASIFICACION
	
	SELECT INTO flag_val relname FROM pg_class WHERE relname = ''trulesclases'';
	IF flag_val IS NULL THEN
		RAISE EXCEPTION ''La tabla de CLASIFICACION trulesclases, no existe'';
		RETURN;
	END IF; 
	
	EXECUTE ''SELECT * FROM describeCRules(''''mate_rules'''')'';
	
	FOR rec_rules IN EXECUTE ''SELECT * FROM mate_rules'' LOOP
		RETURN NEXT rec_rules;
	END LOOP;
	--****
	
	
	--**** ELIMINA TABLAS TEMPORALES DE CLASIFICACION
	
	EXECUTE ''DROP TABLE mate_entro'';
	EXECUTE ''DROP TABLE mate_values'';
	EXECUTE ''DROP TABLE tclases'';
	EXECUTE ''DROP TABLE trulesclases'';
	EXECUTE ''DROP TABLE mate_nodos'';
	EXECUTE ''DROP TABLE mate_rules'';
	--****
	RETURN;
END;'
LANGUAGE 'plpgsql' WITH (isstrict);
