\connect - postgres

SET search_path = public, pg_catalog;

DROP TABLE public.mate_entro;
DROP TABLE public.mate_values;
DROP TABLE public.tclases;
DROP TABLE public.trulesclases;
DROP TABLE public.mate_nodos;
DROP TABLE public.mate_rules;
DROP TYPE public.nodes CASCADE;
DROP TYPE public.rulesclass CASCADE;
DROP FUNCTION public.entro (character varying);
DROP FUNCTION public.gain_main (text);
DROP FUNCTION public.describeCRules(text);
DROP PROCEDURAL LANGUAGE plpgsql;
DROP FUNCTION public.plpgsql_call_handler ();

-- Name: plpgsql_call_handler (); Type: FUNCTION; Schema: public
--
CREATE FUNCTION plpgsql_call_handler () RETURNS language_handler
    AS '$libdir/plpgsql', 'plpgsql_call_handler'
    LANGUAGE c;

-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: public 
--
CREATE TRUSTED PROCEDURAL LANGUAGE plpgsql HANDLER plpgsql_call_handler;

-- Funtions
--
\i /usr/local/src/postgresql-7.3.4/contrib/kdd/clasificacion/entro.sql
\i /usr/local/src/postgresql-7.3.4/contrib/kdd/clasificacion/gain_main.sql
\i /usr/local/src/postgresql-7.3.4/contrib/kdd/clasificacion/gain.sql
\i /usr/local/src/postgresql-7.3.4/contrib/kdd/clasificacion/describeCRules.sql
\i /usr/local/src/postgresql-7.3.4/contrib/kdd/clasificacion/describe_class_rules.sql
