#include "nodeArbolaTabla.h"

/*
	//KDD_TEAM
	//esto verifica al debug algunos valores de la nueva relacion.
	TupleDesc	tupdesc;
	TupleDesc	ret_tupdesc;
	RangeVar	*relrv;
	Relation	rel;
	char		*relname;
	HeapScanDesc	scan;
	List		*result = NIL;

	elog(LOG,"nueva relacion - %s - encontrada!" , decstate->intoT->relname);
	relname = decstate->intoT->relname;
	result = lappend( result, makeString(pstrdup(relname)));
	relrv = makeRangeVarFromNameList(result);	//(textToQualifiedNameList(relname,"tclases"));
	rel = heap_openrv(relrv, AccessShareLock);
	scan = heap_beginscan(rel, SnapshotAny, 0, NULL);
	elog(LOG, "Abierta la rel nueva con exito despues de operacion. " );
	tupdesc = rel->rd_att;
	ret_tupdesc = RelationNameGetTupleDesc("tclases");	

	if( !tupdesc ) 
		elog( ERROR, "no se pudo ejecutar el select\n" );
	if( !ret_tupdesc ) 
		elog( ERROR, "no se pudo ejecutar el select tclases\n" );
	if( tupdesc->natts < 2 ) 
		elog( ERROR, "la tabla de origen no tiene suficientes columnas\n" );
	if( ret_tupdesc->natts < 2 ) 
		elog( ERROR, "la tabla de origen tclases no tiene suficientes columnas\n" );

	elog(LOG,"relacion %s tiene %d campos ", relname, tupdesc->natts);
	heap_endscan(scan);
	heap_close(rel, AccessShareLock);
	//KDD_TEAM	//fin	
*/
/*************************************************************************************************/


/*
 *	Rellena el arreglo ya reservado con valores de los nodoArbol.
 *	recursiva, recorrera el arbol.
 */

void crearTablaArbolArr( NodoArbol *raiz, int *contador, int idPadre,
int *arreglo) {

        int i;
        int id = *contador;

        arreglo[id * 5 + 0] = id;
        arreglo[id * 5 + 1] = raiz->valor;
        if(raiz->padre != NULL)
        	arreglo[id * 5 + 2] = raiz->padre->atributo;
        else
        	arreglo[id * 5 + 2] = raiz->atributo;
		arreglo[id * 5 + 3] = raiz->etiqueta;
		arreglo[id * 5 + 4] = idPadre;

        (*contador)++;
        for( i=0; i<raiz->nHijos; i++ )
                crearTablaArbolArr( &raiz->hijos[i], contador, id, arreglo);

}


/*
 *	Contara los nodos del arbol.
 *	recursiva, recorrera el arbol.
 */

int contarNodosD3( NodoArbol *raiz ) {
        int contador = 0;
        int i;
        
        if( raiz ) {
                contador++;

                for( i=0; i<raiz->nHijos; i++ )
                        contador += contarNodosD3( &raiz->hijos[i] );
        }

        return contador;
}


/*
 *	Inicializa un arrai de apuntadores de enteros del tamaño 5 (atributos)
 *	por el numero de nodos 'decstate->nNodos'.
 *	Llama a crearTablaArbolRec() pa' q' los llene.
 */

Decision3State
*crearTablaTemporalD3(Decision3State *decstate) {

        int contador;
        
        //contar cuantos nodos tiene el arbol
	decstate->nNodos = contarNodosD3(decstate->raiz);	//

	elog(LOG, "nodosdel arbol %d " , decstate->nNodos);

	//reservo vectores de 5 enteros por numero de nodos.
        decstate->tablaNodos = (int *)malloc(sizeof(int) * 5 * decstate->nNodos);
        
        contador = 0;

	//le paso raiz, contador, Qeslaraiz(-1), donde estan los arrais.
        crearTablaArbolArr( decstate->raiz, &contador, -1, decstate->tablaNodos);

	return(decstate);
}



/*
 * principal construir tabla arbol para reglas;
 *	Se la llamara cuando se haya construido el arbol y se quiera 
 *	generar la salida en forma de tabla de X atributos q contienen los
 *	valores q guarda c/ nodoarbol.
 */


void TablaArbol(Decision3State *decstate){
	// indice debe controlar todoooo.
	int	indice = 0;
        Datum valores[5];
        char nulos[5];
	TupleDesc tupDesc;
        HeapTuple tupla;
	Decision3State	*decstate2;
	char *intoName = "tclases";	//KDD_TEAM	podria recibir el nombre como parametro algun dia.

	decstate2 = crearTablaTemporalD3(decstate);

	 	//preparando nueva tabla
	RangeVar *intoT;
	intoT = rvForInto( intoName );
	tupDesc	= creaTupleDescInto();

	decstate2->intoT = intoT;
	decstate2->intoT->relname = intoName;
	decstate2->tupdesc = tupDesc; 
  
	decstate2 = crearMiTablaInto(decstate2);

	 	//verificar si el arrai todo bien.
	if(decstate2->tablaNodos != NULL){
	elog(LOG,"vectortemporal ok");
	}

///KDD_bucle
	while (indice < decstate2->nNodos){

        // aqui se construye la tupla, tomando los datos de la matriz
        valores[0] = Int32GetDatum( decstate->tablaNodos[indice*5 + 0] );
        valores[1] = Int32GetDatum( decstate->tablaNodos[indice*5 + 4] );
        valores[2] = Int32GetDatum( decstate->tablaNodos[indice*5 + 2] );
        valores[3] = Int32GetDatum( decstate->tablaNodos[indice*5 + 1] );
        valores[4] = Int32GetDatum( decstate->tablaNodos[indice*5 + 3] );
        nulos[0] = ' ';        
        nulos[1] = ' ';        
        nulos[2] = ' ';        
        nulos[3] = ' ';        
        nulos[4] = ' ';      

	//	formo la htupla	
        tupla = heap_formtuple( tupDesc, valores, nulos ); 

	ExecSavemeInto(tupla, decstate2);

	indice++;

	}
///KDD_buclefin.

	//KDD_TEAM	cerrar la tabla into.
	if (decstate2->intoRel != NULL)
		heap_close(decstate->intoRel, NoLock);

}




/*
 * rvForInto.	Puesto q necesito crear una relacion nueva creo
 * el RangeVar para el caso.
 * intoName contendra el nombre de la tabla into.
 */

RangeVar *rvForInto(char *intoName){
	RangeVar	*intoTabla;
	
	intoTabla = makeNode(RangeVar);
	intoTabla->catalogname = NULL;
	intoTabla->schemaname = NULL;
	intoTabla->relname = intoName;	
	intoTabla->inhOpt = INH_DEFAULT;
	intoTabla->istemp = false;
	intoTabla->alias = NULL;

	return(intoTabla); 
}



/*
 *	Crea el TupDesc para la tabla q generamos.
 */

TupleDesc creaTupleDescInto(){
	TupleDesc tupDesc;
	Oid	oidtypeid;

        tupDesc = CreateTemplateTupleDesc(5, false);

	TupleDesc	ret_tupdesc;
	Oid		ret_atttypid;

	ret_tupdesc = RelationNameGetTupleDesc("mate_values");

	ret_atttypid = ret_tupdesc->attrs[ret_tupdesc->natts-1]->atttypid;
	oidtypeid = ret_atttypid;
	
        TupleDescInitEntry(tupDesc, 1, "NODO", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 2, "PADRE", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 3, "ATRIBUTO", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 4, "VALOR", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 5, "CLASE", oidtypeid, -1, 0, false);
  
	return(tupDesc);
}


/*
 * Crear la tabla into.
 *
 */

Decision3State *crearMiTablaInto(Decision3State *decstate){
	elog(LOG, "ini crearMiTablaInto");
	Relation	intoRelationDesc;
	bool	do_select_into;

	do_select_into = true;

	TupleDesc	tupType;

	/*
	 * initialize the "into" relation
	 */
	intoRelationDesc = (Relation) NULL;

	if (do_select_into)
	{
				char	   *intoName;
				Oid			namespaceId;
				AclResult	aclresult;
				Oid			intoRelationId;
				TupleDesc	tupdesc;

				/*
				 * find namespace to create in, check permissions
				 */
				intoName = decstate->intoT->relname;

				namespaceId = RangeVarGetCreationNamespace(decstate->intoT);

				if(isTempNamespace(namespaceId)){
				elog(INFO, "He creado una rel temp namespace" );
				}

				//KDD_TEAM  necesito algo para GetUserId() ???
				aclresult = pg_namespace_aclcheck(namespaceId, GetUserId(),
												  ACL_CREATE);
				if (aclresult != ACLCHECK_OK)
					aclcheck_error(aclresult,
								   get_namespace_name(namespaceId));

				/*
				 * have to copy tupType to get rid of constraints
				 */
				tupType = decstate->tupdesc;
				tupdesc = CreateTupleDescCopy(tupType);

				intoRelationId =
					heap_create_with_catalog(intoName,
											 namespaceId,
											 tupdesc,
											 RELKIND_RELATION,
											 false,
											 allowSystemTableMods);

				FreeTupleDesc(tupdesc);

				/*
				 * Advance command counter so that the newly-created
				 * relation's catalog tuples will be visible to heap_open.
				 */
				CommandCounterIncrement();

				/*
				 * If necessary, create a TOAST table for the into
				 * relation. Note that AlterTableCreateToastTable ends
				 * with CommandCounterIncrement(), so that the TOAST table
				 * will be visible for insertion.
				 */
				AlterTableCreateToastTable(intoRelationId, true);

				//Abre el acceso a mi tabla into.
				intoRelationDesc = heap_open(intoRelationId,
											 AccessExclusiveLock);

	//salvar el Relation q guarda info de la tabla into?
		decstate->intoRel = intoRelationDesc;
		decstate->intoRelId = intoRelationId;
	}

	elog(LOG, "fin crearMiTablaInto");
	return decstate;//
}



/* 
 *	ExecSavemeInto
 *	insertar la tupla en la relacion apropiada 
 * 
 */
void
ExecSavemeInto(HeapTuple hslot,
		   
		   Decision3State *decstate)
{
	HeapTuple	tuple;
	TupleDesc	attrtype;

	/*
	 * get the heap tuple out of the tuple table slot not really tts only heapt.
	 */
	tuple = hslot;
	//attrtype = slot->ttc_tupleDescriptor;	//viene tambien.
	attrtype = decstate->tupdesc;

	/*
	 * insert the htuple into the "into relation"
	 */
	// este es el Relation q obtuvo al crear mi tabla into. onde esta guardao.
	if (decstate->intoRel != NULL)
	{
		simple_heap_insert(decstate->intoRel, tuple);
	}

}



/*
 * estructura para almacenar info que deseo sea persistente.
 */
Decision3State *makeD3S(){

Decision3State *decstate;
	decstate = (Decision3State *)malloc(sizeof(Decision3State));
	decstate->raiz = (NodoArbol *)malloc(sizeof(NodoArbol));
	decstate->nNodos = (int )malloc(sizeof(int) * 1);
	decstate->tablaNodos = (int *)malloc(sizeof(int) * 1);
	decstate->indice = (int )malloc(sizeof(int) * 1);
	//
	decstate->intoT = makeNode(RangeVar);
	decstate->tupdesc = (TupleDesc )malloc(sizeof(TupleDesc));
	decstate->intoRel = (Relation )malloc(sizeof(Relation));
	decstate->intoRelId = (Oid )malloc(sizeof(Oid));

	return decstate;

}



/***************************************************/
/***************************************************/

/*
 *	Crea el TupDesc para la tabla q contendra las pseudoreglas .
 */
 
TupleDesc creaTupleDescIntoRules(){
	TupleDesc tupDesc;
	Oid	oidtypeid;

        tupDesc = CreateTemplateTupleDesc(3, false);

	TupleDesc	ret_tupdesc;
	Oid		ret_atttypid;

	ret_tupdesc = RelationNameGetTupleDesc("mate_values");//

	ret_atttypid = ret_tupdesc->attrs[ret_tupdesc->natts-1]->atttypid;
	oidtypeid = ret_atttypid;

        TupleDescInitEntry(tupDesc, 1, "id", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 2, "atributo", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 3, "valor", oidtypeid, -1, 0, false);

	return(tupDesc);
}


/*
 *	Por ahora quietecitas.
 *	Debe mostrarReglas() recibir la raiz, recorrera el arbol
 *	y c/vez q encuentre una hoja invoca a 
 *	mostrarRegla(), quien sube hacia la raiz construyendo la regla.
 */

void saveRules(int nodosenRule, Decision3State *decstate){ 
	int indice = 0;
        Datum valores[3];
        char nulos[3];
        HeapTuple tupla;

///KDD_bucle
	while (indice < nodosenRule){

        // aqui se construye la tupla, tomando los datos de la matriz
        valores[0] = Int32GetDatum( decstate->tablaNodos[indice*5 + 0] );
        valores[1] = Int32GetDatum( decstate->tablaNodos[indice*5 + 1] );
        valores[2] = Int32GetDatum( decstate->tablaNodos[indice*5 + 2] );
        nulos[0] = ' ';        
        nulos[1] = ' ';        
        nulos[2] = ' ';        

	//KDD	formo la htupla	
        tupla = heap_formtuple( decstate->tupdesc, valores, nulos ); 

	ExecSavemeInto(tupla, decstate);

	indice++;

	}
}
	
void mostrarReglaD3(NodoArbol * nodo, int *contador, int *arreglo, int nRegla)
{
	int id = *contador;
	int atributo=0, valor=0;
        NodoArbol *actual, *padre;

        actual = nodo;
        while (actual->padre)
        {
                padre = actual->padre;

                atributo = padre->atributo;
                valor = actual->valor;

                //elog(INFO,"%c=%d ", atributo + 'A', valor);
		arreglo[id * 5 + 0] = nRegla +1;
		arreglo[id * 5 + 1] = atributo;
		arreglo[id * 5 + 2] = valor;

		
                actual = padre;
		id++;
        }
        //elog(INFO,"--> %d\n", nodo->etiqueta)
		arreglo[id * 5 + 0] = nRegla +1;
		arreglo[id * 5 + 1] = -777;
		if(nodo->etiqueta < 0){arreglo[id * 5 + 2] = -999;}
		else{arreglo[id * 5 + 2] = nodo->etiqueta;}
		id++;

		*contador = id;
			
}


int mostrarReglasD3(NodoArbol * raiz, Decision3State *decstate)
{int contador;
 static int creglas=0;
 
        if (raiz->nHijos)
        {
                int i;

                for (i = 0; i < raiz->nHijos; i++)
                        mostrarReglasD3(&raiz->hijos[i],decstate);
        }
        else
        {
        contador = 0;
		mostrarReglaD3(raiz, &contador, decstate->tablaNodos, creglas);
		//elog(INFO," regla tiene %d condiciones\n", contador-1);
		saveRules(contador, decstate);
		creglas++;
		
        }

	return creglas;
}



/*
 * Encargada de crear la tabla de la cual se podran extraer las reglas con 
 * algun descriptor comodamente.
 */
void TablaRules(Decision3State *decstate){

	int	cregla;
	TupleDesc tupDesc;

	char *intoName = "trulesclases";	//KDD_TEAM	el nombre podria venir luego.
	RangeVar *intoT;
	intoT = rvForInto( intoName );
	tupDesc = creaTupleDescIntoRules();

	decstate->intoT = intoT;
	decstate->intoT->relname = intoName;
	decstate->tupdesc = tupDesc; 
  
	decstate = crearMiTablaInto(decstate);
	
	///llamar a mostrarReglas  y guardar__
	cregla = mostrarReglasD3(decstate->raiz, decstate);
	//elog(INFO," Total de %d posibles reglas contenidas ", cregla);
		
	//KDD_TEAM	cerrar la tabla into.
	if (decstate->intoRel != NULL)
		heap_close(decstate->intoRel, NoLock);

}



/****************************************************
 *	esto es para las traducciones
 ***************************************************/

/*
 *  obtiene a partir de un datum su valor original pero expresado
 *  como un char * . (Para types diferentes)
 */
char *
dagger_getvalue(Datum tuple, TupleDesc tupdesc, int fnumber)
{
	Datum		origval, val, result;
//	bool		isnull;
	Oid		typoid,		foutoid,	typelem;
	int32		typmod;
	bool		typisvarlena;

	SPI_result = 0;

	if (fnumber > tupdesc->natts || fnumber == 0 ||
		fnumber <= FirstLowInvalidHeapAttributeNumber)
	{
		SPI_result = SPI_ERROR_NOATTRIBUTE;
		return NULL;
	}

	origval = tuple;
//	if (isnull)
//		return NULL;

	if (fnumber > 0)
	{
		typoid = tupdesc->attrs[fnumber - 1]->atttypid;
		typmod = tupdesc->attrs[fnumber - 1]->atttypmod;
	}
	else
	{
		typoid = (SystemAttributeDefinition(fnumber, true))->atttypid;
		typmod = -1;
	}

	if (!getTypeOutputInfo(typoid, &foutoid, &typelem, &typisvarlena))
	{
		SPI_result = SPI_ERROR_NOOUTFUNC;
		return NULL;
	}

	/*
	 * toasted datum ?, forci detoast 
	 * memory inside the type's output routine.
	 */
	if (typisvarlena)
		val = PointerGetDatum(PG_DETOAST_DATUM(origval));
	else
		val = origval;

	result = OidFunctionCall3(foutoid,
							  val,
							  ObjectIdGetDatum(typelem),
							  Int32GetDatum(typmod));

	/* Clean up detoasted copy, if any */
	if (val != origval)
		pfree(DatumGetPointer(val));

	return DatumGetCString(result);
}



/*
 *	Crea el TupDesc para la tabla q generamos. La de nodos tablanodos ahora.
 */

TupleDesc creaTupleDescForTranslate1(){
	//elog(LOG,"inicia creaTupleDescForTranslate1 .");
	TupleDesc tupDesc;
	Oid	oidtypeid;

        tupDesc = CreateTemplateTupleDesc(5, false);

	TupleDesc	ret_tupdesc;
	Oid		ret_atttypid;

	ret_tupdesc = RelationNameGetTupleDesc("mate_values");

	ret_atttypid = ret_tupdesc->attrs[1]->atttypid;
	oidtypeid = ret_atttypid;

        TupleDescInitEntry(tupDesc, 1, "nodo", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 2, "padre", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 3, "atributo", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 4, "valor", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 5, "etiqueta", oidtypeid, -1, 0, false);
	//elog(LOG, "creados %d campos " , tupDesc->natts);
  
	//elog(LOG,"finaliza creaTupleDescForTranslate1 .");        
	return(tupDesc);
}



/*
 *	Crea el TupDesc para la tabla q generamos con las rules ya terminadas.
 *  - Regla - Atributo - Valor -
 * --------|-----------|------------
 *  varchar  varchar     varchar
 */

TupleDesc creaTupleDescForTranslate2(){
	//elog(LOG,"inicia creaTupleDescForTranslate2 .");
	TupleDesc tupDesc;
	Oid	oidtypeid;

        tupDesc = CreateTemplateTupleDesc(3, false);

	TupleDesc	ret_tupdesc;
	Oid		ret_atttypid;

	ret_tupdesc = RelationNameGetTupleDesc("mate_values");

	ret_atttypid = ret_tupdesc->attrs[1]->atttypid;
	oidtypeid = ret_atttypid;

        TupleDescInitEntry(tupDesc, 1, "regla", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 2, "atributo", oidtypeid, -1, 0, false);
        TupleDescInitEntry(tupDesc, 3, "valor", oidtypeid, -1, 0, false);
	//elog(LOG, "creados %d campos " , tupDesc->natts);
  
	//elog(LOG,"finaliza creaTupleDescForTranslate2 .");        
	return(tupDesc);
}



/*
 *	leo cada atributo de la tabla 'mate_values'.
 *	algunos son punteros varchar. el ultimo es entero. luego hay que considerar esto.
 *	por ahora los leo todos como varchar.
 */

int leerTuplaD3( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc){
	HeapTuple tuple;
	
	while( (tuple = heap_getnext(*scan, ForwardScanDirection)) != NULL ) {
		int i;
        Datum val;        
        bool isnull;
                
        for( i=0; i< nAtributos; i++ ) {
        	val = heap_getattr( tuple, i+1, tupdesc,&isnull );

	        tupla[i] = val;//DatumGetInt32( val );
		char *a = SPI_getvalue(tuple,tupdesc,i+1);
		tupla[i] = CStringGetDatum(a);
		//elog(INFO,"casi leo %s en atributo", a);
        }                
        return true;
	}	
	return false;
}



/*
 *	Es para leer cada atributo de la tupla de la tabla 'tclases' o 'trulesclases' 
 *	todos son int hay que interpretarlos luego
 *	importante:  utilizo Datum tupla[] para leer cualquier tipo de dato
 *	no utilizo int2 aqui por la traduccion a char * , pero 
 *	aspirando a no sobrepasar jamas ese limite, si pretende usar
 *	atributos o valores en un numero mayor al soporte de int2 modifique el cast.
 *
 */
int leerTuplaD3fromR( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc){
	HeapTuple tuple;
	
	while( (tuple = heap_getnext(*scan, ForwardScanDirection)) != NULL ) {
		int i;
        Datum val;        
        bool isnull;
                
        for( i=0; i< nAtributos; i++ ) {
        	val = heap_getattr( tuple, i+1, tupdesc,&isnull );

	        tupla[i] = val;//DatumGetInt32( val );
        }                
        return true;
	}	
	return false;
}



/*
 *	Es para leer un solo atributo de la tupla de la tabla 'mate_values'
 *	ahora es util el ultimo, q contiene total de subclases.
 *	todos son int hay que interpretarlos luego.
 */
int leerTuplaD3OnlyAt( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc, int Chair){
	HeapTuple tuple;
	
	while( (tuple = heap_getnext(*scan, ForwardScanDirection)) != NULL ) {
		int i = 0;
        Datum val;        
        bool isnull;
                
        	val = heap_getattr( tuple, Chair, tupdesc,&isnull );

	        tupla[i] = val;//DatumGetInt32( val );

	return true;
	}	
	return false;
}



/*
 *	Abro la tabla 'trulesclases' y la traduzco usando los arrai atributos y valores
 *	que han sido previamente cargados.
 */
void loadRulesToTranslate(int nAtributos, int subclases[], char **atributos, char **valores, Decision3State *decstate){
	//elog(LOG, " Inicia loadRulesToTranslate" );
	RangeVar   *relrv;
	Relation	rel;
	HeapScanDesc scan;
	TupleDesc	tupdesc;
	HeapTuple tuple;

        int i=0,natt;
	int j,totalsubclases = 0;
	text	*trelname = (text *)"trulesclases";
	char	*relname;
	List	*result = NIL;
	/* Preparo la tupla de cadenas para guardarla  */
	char **misvalues = (char **)malloc(sizeof(char *) * 3);
	
	relname = (char *)trelname; 
	result = lappend( result, makeString(pstrdup(relname)));
	relrv = makeRangeVarFromNameList(result);	

		rel = heap_openrv(relrv, AccessShareLock);

		scan = heap_beginscan(rel, SnapshotAny, 0, NULL);
		tupdesc = rel->rd_att;

        Datum *tupla = (Datum *)malloc( sizeof(Datum) *(tupdesc->natts+1) );

		
        while( leerTuplaD3fromR(tupla, tupdesc->natts, &scan,tupdesc) )
        {        
		elog(LOG, "Valor trulesclases regla = %d att = %d val = %d ", (int2)DatumGetInt32(tupla[0]),	 (int2)DatumGetInt32(tupla[1]), (int2)DatumGetInt32(tupla[2])  );

/*	AQUI se traducen 1 a 1 los valores
*/
	if(DatumGetInt32(tupla[0]) <= 0){	// "numero de la regla"
	//elog(INFO," Regla 0 no puede existir " );
	misvalues[0] = NULL;
	}
	if(DatumGetInt32(tupla[0]) > 0){	// "valido"
	misvalues[0] = dagger_getvalue(tupla[0], tupdesc, 1);
	}


	natt = (int2)DatumGetInt32(tupla[1]);

	//atributo clase ?
	if(natt == -777){
	totalsubclases = 0;
	for(j=0;j<nAtributos-1;j++)
	totalsubclases += subclases[j];	
	misvalues[1] = atributos[nAtributos-1];
	misvalues[2] = valores[totalsubclases + DatumGetInt32(tupla[2])];
	}
	//atributo cualquiera
	if(natt >= 0){			//obtengo numero del atrib
	totalsubclases = 0;
	for(j=0;j<natt;j++)
	totalsubclases += subclases[j];	
	//elog(INFO," %s = %s ", atributos[natt], valores[totalsubclases + DatumGetInt32(tupla[2])]); //la subclase
	misvalues[1] = atributos[natt];
	}
	//valor NS/NR o cualquiera
	j=0;
	j = (int2)DatumGetInt32(tupla[2]);
	if(j == -999){
	misvalues[2] = NULL;
	}
	else{misvalues[2] = valores[totalsubclases + DatumGetInt32(tupla[2])];
	}

/*	Listo para guardar chars en la tupla	 
	elog(INFO, "Listo pa guardar A= %s ", misvalues[0]);
	elog(INFO, "Listo pa guardar B= %s ", misvalues[1]);
	elog(INFO, "Listo pa guardar C= %s ", misvalues[2]);
*/

	AttInMetadata *att = TupleDescGetAttInMetadata(decstate->tupdesc);
	tuple = BuildTupleFromCStrings(att, misvalues);

	ExecSavemeInto(tuple, decstate);

	i++;
        }
        
        free( tupla );
        heap_endscan(scan);
		heap_close(rel, AccessShareLock); 

	liberar(misvalues);
	//elog(LOG, " Finaliza loadRulesToTranslate" );       
}




/*
 *	Abro la tabla 'tclases' y la traduzco usando los arrai atributos y valores
 *	que han sido previamente cargados.
 */

void loadNodesToTranslate(int nAtributos, int subclases[], char **atributos, char **valores, Decision3State *decstate){
	//elog(LOG, " Inicia loadNodesToTranslate" );
	RangeVar   *relrv;
	Relation	rel;
	HeapScanDesc scan;
	TupleDesc	tupdesc;
	HeapTuple tuple;

        int i=0,natt=0;
	int j,totalsubclases = 0;
	text	*trelname = (text *)"tclases";
	char	*relname;
	List	*result = NIL;
	/* Preparo la tupla de cadenas para guardarla  */
	char **misvalues = (char **)malloc(sizeof(char *) * 5);
	
	relname = (char *)trelname; 
	result = lappend( result, makeString(pstrdup(relname)));
	relrv = makeRangeVarFromNameList(result);	

 		rel = heap_openrv(relrv, AccessShareLock);

		scan = heap_beginscan(rel, SnapshotAny, 0, NULL);
		tupdesc = rel->rd_att;

        Datum *tupla = (Datum *)malloc( sizeof(Datum) *(tupdesc->natts+1) );
		
        while( leerTuplaD3fromR(tupla, tupdesc->natts, &scan,tupdesc) )
        {        
		elog(LOG, "Valor tclases nodoP = %d att = %d val = %d clase = %d ", (int2)DatumGetInt32(tupla[1]),			 			(int2)DatumGetInt32(tupla[2]), (int2)DatumGetInt32(tupla[3]), (int2)DatumGetInt32(tupla[4]) );

	/* Leo los valores de la tupla extraida e interpreto valores nulos y validos.
	 * asigno los valores traducidos como char *.
	 */

	// cargar nodo
	//elog(LOG, " Antes de llenar los values 0" ); 
	if((int2)DatumGetInt32(tupla[0]) == -1){	// "nodo null"
	//elog(LOG," nodo %d" , -1);
	misvalues[0] = NULL;
	}
	if((int2)DatumGetInt32(tupla[0]) >= 0){		// "nodo valido"
	//elog(LOG," nodo numero %d" , DatumGetInt32(tupla[0]) );
	misvalues[0] = dagger_getvalue(tupla[0], tupdesc, 1);
	}

	// cargar padre
	//elog(LOG, " Antes de llenar los values 1" ); 
	if((int2)DatumGetInt32(tupla[1]) == -1){	// "padre null"
	//elog(LOG," nodo padre %d" , -1);
	misvalues[1] = NULL;
	}
	if((int2)DatumGetInt32(tupla[1]) >= 0){		// "padre valido"
	//elog(LOG," nodo padre %d" , DatumGetInt32(tupla[1]) );
	misvalues[1] = dagger_getvalue(tupla[1], tupdesc, 2); 
	}

//KDD 	natt = DatumGetInt32(tupla[3]);		//obtengo numero del atrib

	// cargar atributo
	//elog(LOG, " Antes de llenar los values 2" ); 
	if((int2)DatumGetInt32(tupla[2]) == -1){	// "atributo con valor null"
	//elog(LOG," atributo =  %d" , -1);
	misvalues[2] = NULL;
	}
	if((int2)DatumGetInt32(tupla[2]) >= 0)		//"atributo valido"
	{
	natt = DatumGetInt32(tupla[2]);	
	//elog(LOG," atributo =  %s" , atributos[natt]);
	misvalues[2] = atributos[natt];
	}


	// cargar valor
	//elog(LOG, " Antes de llenar los values 3 " ); 
	if((int2)DatumGetInt32(tupla[3]) == -1){	// " valor null"
	//elog(LOG," valor =  %d" , -1);
	misvalues[3] = NULL;
	}
	if((int2)DatumGetInt32(tupla[3]) >= 0){
	totalsubclases = 0;
	for(j=0;j<natt;j++)
	totalsubclases += subclases[j];	
	//elog(INFO," es posible que DatumGetInt32(tupla[3]) valga %d !!!", DatumGetInt32(tupla[3]) );
	//elog(LOG," valor = %s ", valores[totalsubclases + DatumGetInt32(tupla[3])]); //la subclase
	misvalues[3] = valores[totalsubclases + DatumGetInt32(tupla[3])];
	}

	// cargar etiqueta de clase
	//elog(LOG, " Antes de llenar los values 4" );
	if((int2)DatumGetInt32(tupla[4]) <= -1){	// "la clase es null"
	//elog(LOG," clase = %d" , -1);
	misvalues[4] = NULL;
	}
	if((int2)DatumGetInt32(tupla[4]) >= 0){		// "<<FIN>>"
	totalsubclases = 0;
	for(j=0;j<nAtributos-1;j++)
	totalsubclases += subclases[j];		
	//elog(LOG," clase = %s" , valores[totalsubclases + DatumGetInt32(tupla[4])]);
	misvalues[4] = valores[totalsubclases + DatumGetInt32(tupla[4])];
	}

/*	Listo para guardar chars en la tupla	 
	elog(INFO, "Listo pa guardar A= %s ", misvalues[0]);
	elog(INFO, "Listo pa guardar B= %s ", misvalues[1]);
	elog(INFO, "Listo pa guardar C= %s ", misvalues[2]);
	elog(INFO, "Listo pa guardar D= %s ", misvalues[3]);
	elog(INFO, "Listo pa guardar E= %s ", misvalues[4]);
*/

	AttInMetadata *att = TupleDescGetAttInMetadata(decstate->tupdesc);
	tuple = BuildTupleFromCStrings(att, misvalues);

	ExecSavemeInto(tuple, decstate);

	i++;
        }
        

        free( tupla );
        heap_endscan(scan);
		heap_close(rel, AccessShareLock); 

	liberar(misvalues);
	//elog(LOG, " Finaliza loadNodesToTranslate" );       
}



/*
 *	abro y cargo la tabla 'mate_discret'
 *	LLeno los arrai char *    atributos y valores desde la tabla.
 *
 */

void loadDiscretEasy(int nAtributos, int subclases[], char **atributos, char **valores){
	//elog(LOG, " Inicia loadDiscretEasy" );
	RangeVar   *relrv;
	Relation	rel;
	HeapScanDesc scan;
	TupleDesc	tupdesc;

        int i=0,j=0;
	text	*trelname = (text *)"mate_values";
	char	*relname;
	List	*result = NIL;
	
	relname = (char *)trelname; 
	result = lappend( result, makeString(pstrdup(relname)));
	relrv = makeRangeVarFromNameList(result);	

		rel = heap_openrv(relrv, AccessShareLock);

		scan = heap_beginscan(rel, SnapshotAny, 0, NULL);
		tupdesc = rel->rd_att;

        Datum *tupla = (Datum *)malloc( sizeof(Datum) *(tupdesc->natts+1) );

		
        while( leerTuplaD3(tupla, tupdesc->natts, &scan,tupdesc) )
        {        
		elog(LOG, "Valor mate_values att = %s val = %s dis = %s clas = %s ", DatumGetCString(tupla[1]), 					DatumGetCString(tupla[2]), DatumGetCString(tupla[3]), DatumGetCString(tupla[4]) );

	if(DatumGetInt32(tupla[4]) > 0){
		(atributos)[j] = DatumGetCString(tupla[1]);
		j++;
		i--;
		}
	(valores)[i] = DatumGetCString(tupla[2]);
	//elog(INFO, " salvado valor %s ", valores[i]);

	i++;
        }
        
        free( tupla );
        heap_endscan(scan);
		heap_close(rel, AccessShareLock); 

	//elog(LOG, " Finaliza loadDiscretEasy" );       
}



/*
 *	Abro la tabla 'mate_discret' y leo el ultimo atributo para obtener las subclases
 *	.
 */
int loadSubclases( int subclases[]){
	elog(LOG, " Inicia loadSubclases" );
	RangeVar   *relrv;
	Relation	rel;
	HeapScanDesc scan;
	TupleDesc	tupdesc;

        int i=0;
	text	*trelname = (text *)"mate_values";
	char	*relname;
	List	*result = NIL;
	
	relname = (char *)trelname; 
	result = lappend( result, makeString(pstrdup(relname)));
	relrv = makeRangeVarFromNameList(result);	

		rel = heap_openrv(relrv, AccessShareLock);

		scan = heap_beginscan(rel, SnapshotAny, 0, NULL);
		tupdesc = rel->rd_att;

        Datum *tupla = (Datum *)malloc( sizeof(Datum) *(tupdesc->natts+1) );

	//elog(LOG, " Cargada %s . Empieza lectura" , relname );
		
        while( leerTuplaD3OnlyAt(tupla, tupdesc->natts, &scan,tupdesc, tupdesc->natts) )
        {        
		//elog(INFO, "Valor discret Subclases = %d ", DatumGetInt32(tupla[0]) );

        if( DatumGetInt32(tupla[0]) > 0 ){
		subclases[i] = DatumGetInt32(tupla[0]);
		i++;
		}
        }

/*KDD
	int j;
	for(j=0;j<i;j++){
	elog(LOG," Este guardo bien %d ", subclases[j]);
	}
*/        

        free( tupla );
        heap_endscan(scan);
		heap_close(rel, AccessShareLock); 

	elog(LOG, " Finaliza loadSubclases" );

	return i;
}




/*
 *	Puedo recibir como un parametros los nombres de las tablas a crear 
 *	llama a subclases y loadDiscretEasy . Por ahora llena los arrai de char * , atributos (NATT) y
 *	valores (subclases).
 */

void traducirReglasClasificacion(int natt){
	elog(LOG, " Inicia traducirReglasClasificacion tablanodos" );

int NATT = 0,i;
//
char	**atributos;
int	*subclases;
char	**valores;

elog(LOG,"a1");
int *subclasesPre = (int *)malloc(sizeof(int) * (2048) );
elog(LOG,"a2");
NATT = loadSubclases(subclasesPre);

subclases = (int *)malloc(sizeof(int) * (NATT) );
for(i=0;i<NATT;i++)
	subclases[i] = subclasesPre[i];

	free(subclasesPre);


int totalsubclases = 0;
for(i=0;i<NATT;i++)
	totalsubclases += subclases[i];

	elog(LOG, " totalsubclases %d " , totalsubclases);

	atributos = (char **)malloc(sizeof(char *) * (NATT) );
	valores = (char **)malloc(sizeof(char *) * (NATT * totalsubclases ) );	//multiplicar y sumar subclases

if(NATT > 0 && subclases != NULL)
	{loadDiscretEasy(NATT, subclases, atributos, valores);
	}


//verifica q el llenado de los arrais ok
//	elog(LOG, " arrai_valores %s " , valores[1]);
//	elog(LOG, " arrai_atributos %s " , atributos[1]);


	/*
	*	Preparativos y ejecucion traduccion tabla 1
	*/
	Decision3State	*decstate;
	decstate = makeD3S();
	decstate->raiz = NULL;
	decstate->nNodos = 1;
	decstate->indice = 0;
	elog(LOG,"Iniciando creacion de Tabla contenedora de nodos traducida");

	text	*trelname = (text *)"mate_nodos";
	char *intoName = (char *)trelname; 	

	TupleDesc tupDesc;

	RangeVar *intoT;
	intoT = rvForInto( intoName );
	tupDesc	= creaTupleDescForTranslate1();

	decstate->intoT = intoT;
	decstate->intoT->relname = intoName;
	decstate->tupdesc = tupDesc; 
  
	decstate = crearMiTablaInto(decstate);

	loadNodesToTranslate(NATT, subclases, atributos, valores, decstate);

	//KDD_TEAM	cerrar la tabla into.
	if (decstate->intoRel != NULL){
		heap_close(decstate->intoRel, NoLock);
	//elog(NOTICE ," Finalizando creacion de tabla %s", decstate->intoT->relname);
	}
	else{elog(WARNING, "fallo al cerrar tabla. dammit!");}


/*
	//	Preparativos y ejecucion traduccion tabla 2
	//elog(LOG,"Iniciando creacion de Tabla contenedora de reglas traducida ");

	text	*trelname2 = (text *)"tablareglasclase";
	char *intoName2 = (char *)trelname2; 	
	...
*/

	//liberar(atributos);
	//liberar(valores);
	//liberar(subclases);
	//liberarD3S(decstate);

	elog(LOG, " Finaliza traducirReglasClasificacion" );
}



/*
 *	liberador de recursos de memoria.
 *//*
void liberarD3S(Decision3State *decstate){
	//elog(LOG, "ini liberarD3S");
if(decstate->raiz != NULL)
	liberar(decstate->raiz);
//if(decstate->nNodos != NULL)
//	liberar(decstate->nNodos);
//if(decstate->indice != NULL)
//	liberar(decstate->indice);
if(decstate->tablaNodos != NULL)
	liberar(decstate->tablaNodos);
	//
if(decstate->intoT != NULL)
	liberar(decstate->intoT);
if(decstate->tupdesc != NULL)
	liberar(decstate->tupdesc);
//if(decstate->intoRel != NULL)
//	liberar(decstate->intoRel);
//if(decstate->intoRelId != NULL)
//	liberar(decstate->intoRelId);

	liberar(decstate);
	//elog(LOG, "fin liberarD3S");
}
*/

/****************************************************************/
/*	para Describe		
 *
 *	Debido a la 'conveniencia' de crear un Describe para que el usuario
 *	pueda ejecutar una orden independiente para visualizar las reglas
 *	puede existir alguna redundancia y exceso de codigo duplicado.
 */

/*
 *	Puedo recibir como un parametro el nombre de la tabla a crear para contener reglas
 *	llama a subclases y loadDiscretEasy . Por ahora llena los arrai de char * , atributos (NATT) y
 *	valores (subclases).
 */

void traducirReglasClasificacion2(char *tablaname){
	elog(LOG, " Inicia traducirReglasClasificacion2" );

int NATT = 0,i;
//
char	**atributos;
int	*subclases;
char	**valores;


int *subclasesPre = (int *)malloc(sizeof(int) * (2048) );
NATT = loadSubclases(subclasesPre);

subclases = (int *)malloc(sizeof(int) * (NATT) );
for(i=0;i<NATT;i++)
	subclases[i] = subclasesPre[i];

	free(subclasesPre);


int totalsubclases = 0;
for(i=0;i<NATT;i++)
	totalsubclases += subclases[i];

	//elog(LOG, " totalsubclases %d " , totalsubclases);

	atributos = (char **)malloc(sizeof(char *) * (NATT) );
	valores = (char **)malloc(sizeof(char *) * (NATT * totalsubclases ) );	//multiplicar y sumar subclases

if(NATT > 0 && subclases != NULL)
	{loadDiscretEasy(NATT, subclases, atributos, valores);
	}


//verifica q el llenado de los arrais ok
//	elog(LOG, " arrai_valores %s " , valores[1]);
//	elog(LOG, " arrai_atributos %s " , atributos[1]);


	elog(LOG,"creando intoD3 ..");
	Decision3State	*decstate;
	decstate = makeD3S();
	decstate->raiz = NULL;
	decstate->nNodos = 1;
	decstate->indice = 0;

	//
	//	Preparativos y ejecucion traduccion tabla 2
	//

	elog(LOG,"Iniciando creacion de Tabla contenedora de reglas traducida ");

	char *intoNameParam = tablaname; 	
	elog(LOG, " parametro %s", intoNameParam);
	
	//text	*trelname2 = (text *)"tablareglasclase";
	//char *intoName2 = (char *)trelname2; 	

	char *intoName2 = (char *)tablaname; 	

	TupleDesc tupDesc2;

	RangeVar *intoT2;
	intoT2 = rvForInto( intoName2 );
	tupDesc2 = creaTupleDescForTranslate2();	//debe ser de 3 campos

	decstate->intoT = intoT2;
	decstate->intoT->relname = intoName2;
	decstate->tupdesc = tupDesc2; 
  
	decstate = crearMiTablaInto(decstate);


	loadRulesToTranslate(NATT, subclases, atributos, valores, decstate);

	//KDD_TEAM	cerrar la tabla into.
	if (decstate->intoRel != NULL){
		heap_close(decstate->intoRel, NoLock);
	//elog(NOTICE ,"Finalizando creacion de tabla %s", decstate->intoT->relname);
	}
	else{elog(WARNING, "fallo al cerrar tabla. dammit!");}

	//liberar(atributos);
	//liberar(valores);
	//liberar(subclases);
	//liberarD3S(decstate);

	elog(LOG, " finaliza traducirReglasClasificacion2" );
}

