typedef struct Decision3State
{	NodoArbol	*raiz;
	int		nNodos;
	int		*tablaNodos;
	int		indice;
	//
	RangeVar	*intoT;
	TupleDesc	tupdesc;
	Relation	intoRel;
	Oid		intoRelId;
} Decision3State;

Decision3State *makeD3S();

NodoArbol *arbolTest(NodoArbol *raiz);///
void crearTablaArbolArr( NodoArbol *raiz, int *contador, int idPadre, int *arreglo);
int contarNodosD3( NodoArbol *raiz );
Decision3State *crearTablaTemporalD3(Decision3State *decstate);
void TablaArbol(Decision3State *decstate);
RangeVar *rvForInto(char *intoName);
TupleDesc creaTupleDescInto();
Decision3State *crearMiTablaInto(Decision3State *decstate);
void ExecSavemeInto(HeapTuple hslot, Decision3State *decstate);

/**prototipos para la tabla de pseudoreglas trulesclases**/
TupleDesc creaTupleDescIntoRules();
void saveRules(int nodosenRule, Decision3State *decstate);
void mostrarReglaD3(NodoArbol * nodo, int *contador, int *arreglo, int nRegla); 
int mostrarReglasD3(NodoArbol * raiz, Decision3State *decstate);
void TablaRules(Decision3State *decstate);

/*Prototipos para traducir las tablas */
char *dagger_getvalue(Datum tuple, TupleDesc tupdesc, int fnumber);
void traducirReglasClasificacion(int natt);
TupleDesc creaTupleDescForTranslate1();
TupleDesc creaTupleDescForTranslate2();
int leerTuplaD3( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc);
int leerTuplaD3fromR( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc);
int leerTuplaD3OnlyAt( Datum tupla[], int nAtributos, HeapScanDesc *scan,TupleDesc	tupdesc, int Chair);
void loadDiscretEasy(int nAtributos, int subclases[], char **atributos, char **valores);
void loadRulesToTranslate(int nAtributos, int subclases[], char **atributos, char **valores, Decision3State *decstate);
void loadNodesToTranslate(int nAtributos, int subclases[], char **atributos, char **valores, Decision3State *decstate);
int loadSubclases( int subclases[]);

/* Prototipos para Describe traducir la segunda tabla */
void traducirReglasClasificacion2(char *tablaname);

/* liberador de recursos */
//void liberarD3S(Decision3State *decstate);

