/*-------------------------------------------------------------------------
 *
 * nodeEquiKeep.h
 *
 *
 * Portions Copyright (c) 2005, PostgreSQL GRIAS Development Group
 * Portions Copyright (c) 2005, Regents of the University of Nariño
 *
 * $Id: nodeEquiKeep.h,v 1.0 2005/03/12 Camiloman!
 * /src/include/executor/nodeEquiKeep.h
 *
 *-------------------------------------------------------------------------
 */
#ifndef NODEEQUIKEEP_H
#define NODEEQUIKEEP_H

#include "nodes/plannodes.h"

extern TupleTableSlot *ExecEquiKeep(EquiKeep *node);
extern bool ExecInitEquiKeep(EquiKeep *node, EState *estate, Plan *parent);
extern int	ExecCountSlotsEquiKeep(EquiKeep *node);
extern void ExecEndEquiKeep(EquiKeep *node);

#endif   /* NODEEQUIKEEP_H */
